org.apache.axiom.om.impl.builder

## Interface OMFactoryEx

- All Superinterfaces:
    OMFactory
  All Known Subinterfaces:
    SOAP12FactoryEx, SOAPFactoryEx

      public interface OMFactoryEx
      extends OMFactory

  Interface that is used internally by Axiom and that should not be considered being part of the public API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OMComment` | `createOMComment(OMContainer parent, String content, boolean fromBuilder)`
    `OMDocType` | `createOMDocType(OMContainer parent, String rootName, String publicId, String systemId, String internalSubset, boolean fromBuilder)`
    `OMDocument` | `createOMDocument(OMXMLParserWrapper builder)`
    `OMElement` | `createOMElement(String localName, OMContainer parent, OMXMLParserWrapper builder)`
    `OMEntityReference` | `createOMEntityReference(OMContainer parent, String name, String replacementText, boolean fromBuilder)`
    `OMProcessingInstruction` | `createOMProcessingInstruction(OMContainer parent, String piTarget, String piData, boolean fromBuilder)`
    `OMText` | `createOMText(OMContainer parent, Object dataHandler, boolean optimize, boolean fromBuilder)`
    `OMText` | `createOMText(OMContainer parent, String text, int type, boolean fromBuilder)`
    `OMNode` | `importNode(OMNode child)` This method is intended only to be used by Axiom intenrals when merging nodes from different Axiom implementations.

    - ### Methods inherited from interface org.apache.axiom.om.OMFactory

      `createOMAttribute, createOMComment, createOMDocType, createOMDocument, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMElement, createOMEntityReference, createOMNamespace, createOMProcessingInstruction, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, createOMText, getMetaFactory`

- - ### Method Detail

    - #### createOMDocument

          OMDocument createOMDocument(OMXMLParserWrapper builder)

    - #### createOMElement

          OMElement createOMElement(String localName,
                                    OMContainer parent,
                                    OMXMLParserWrapper builder)

      Parameters:
        `localName` -
        `parent` -
        `builder` -

    - #### createOMText

          OMText createOMText(OMContainer parent,
                              Object dataHandler,
                              boolean optimize,
                              boolean fromBuilder)

    - #### createOMText

          OMText createOMText(OMContainer parent,
                              String text,
                              int type,
                              boolean fromBuilder)

    - #### createOMComment

          OMComment createOMComment(OMContainer parent,
                                    String content,
                                    boolean fromBuilder)

    - #### createOMDocType

          OMDocType createOMDocType(OMContainer parent,
                                    String rootName,
                                    String publicId,
                                    String systemId,
                                    String internalSubset,
                                    boolean fromBuilder)

    - #### createOMProcessingInstruction

          OMProcessingInstruction createOMProcessingInstruction(OMContainer parent,
                                                                String piTarget,
                                                                String piData,
                                                                boolean fromBuilder)

    - #### createOMEntityReference

          OMEntityReference createOMEntityReference(OMContainer parent,
                                                    String name,
                                                    String replacementText,
                                                    boolean fromBuilder)

    - #### importNode

          OMNode importNode(OMNode child)

      This method is intended only to be used by Axiom intenrals when merging nodes from different Axiom implementations.
      Parameters:
        `child` -

Copyright © The Apache Software Foundation. All Rights Reserved.